cURL
curl --request GET \
--url https://api-test.klyme.io/api/v1/payments/status \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api-test.klyme.io/api/v1/payments/status"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api-test.klyme.io/api/v1/payments/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"processingTime": "2025-07-23 18:32:26",
"uuid": "ce1797873467e1bbddda9f99c42f126a",
"merchantUuid": "xfe3539cb23ad9731be57905b8a0c099",
"amount": 10.99,
"currency": "GBP",
"reference": "1A2B3C4D",
"result": {
"status": 1,
"statusCode": "ACCC",
"description": "COMPLETED",
"settlement": "COMPLETED",
"institution": "monzo_ob",
"redirectUrl": "https://your-redirect-url.com"
},
"customer": {
"firstName": null,
"middleName": null,
"surname": null,
"email": "[email protected]",
"mobile": null,
"phone": null,
"customerId": null,
"dob": null,
"gender": null,
"address1": null,
"address2": null,
"city": "Manchester",
"postcode": null,
"country": "GB",
"company": null,
"ip": "16.126.433.250",
"payerName": null,
"payerIban": null,
"payerAccNum": null,
"payerSortCode": null
},
"cart": {
"items": [],
"affiliateId": null,
"discountCode": null
},
"device": {
"deviceOs": "iOS",
"deviceOsVersion": "18.5",
"deviceName": "iPhone",
"deviceBrowser": "Mobile Safari",
"deviceBrowserVersion": "18.5",
"deviceToken": "nTW220MaiBjonNLoox2k",
"deviceIsMobile": 1
},
"customParameters": {
"custom1": null,
"custom2": null,
"custom3": null,
"custom4": null,
"custom5": null,
"customJson": null
}
}Payments
Get Payment Status
Get the status of a specific payment
GET
/
payments
/
status
cURL
Once a payment is executed, its full payload, including its status can be retrieved using this endpoint.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
The uuid of the payment you would like to query.
Required string length:
32Response
200 - application/json
Example:
"2025-07-23 18:32:26"
Example:
"ce1797873467e1bbddda9f99c42f126a"
Pattern:
^[a-f0-9]{32}$Example:
"xfe3539cb23ad9731be57905b8a0c099"
Example:
10.99
Example:
"GBP"
Example:
"1A2B3C4D"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
